{% extends 'cron/base.html' %}

{% block head_title %}
    <title>Dashboard</title>
{% endblock %}

{% block content %}

    <style>


        .table {
            background: white;
            margin-left: 10%;
            margin-top: 2.5%;
            width: 90%;
        }

        .aligned {
            margin-left: 10%;
            margin-top: 2.5%;
            width: 90%;
        }

        .notactive {
            color: red;
        }

        .activee {
            color: green;
        }

        .Logout {
            text-align: right;
            margin-right: 5%;
            margin-top: 2%;
        }

        .logout_link {
            color: black;
            margin-top: 1%;
        }

        .user {
            margin-top: 1%;
            align-items: center;
        }


    </style>






    <div class="Logout">
        <span class="hello-msg mr-3 user">User: {{ request.user }}</span>
        <a href="{% url 'logout' %}">
            <button type="button" class="btn btn-light add-btn mb-3 logout_link">Logout</button>
        </a>
    </div>



    <div class="aligned title mt-1">
        <h1>Dashboard</h1>
    </div>


    {% for job in jobs %}
        <div class="modal fade" id="deleteModal_{{ job.id }}" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="deleteModalLabel_{{ job.id }}">Delete Cron-job</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        Are you sure that you want to delete this Cron-job?
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <a href="{% url 'delete_job' job.id %}" class="btn edit_btn">Delete</a>
                    </div>
                </div>
            </div>
        </div>
    {% endfor %}


    <div class="container">
        <div class="row">
            <div class="col">

            </div>
            <div class="col-6">

            </div>
            <div class="col">

            </div>
            <div class="col">

            </div>
            <div class="col">

            </div>

            <div class="col">
                <a href="{% url 'Create Cron' %}">
                    <button type="button" class="btn btn-light add-btn mb-3">Add</button>
                </a>
            </div>
        </div>

        <div class="col-md-12">
            <table class="table">
                <thead>
                <tr>
                    <th scope="col">Title</th>
                    <th scope="col">Created</th>
                    <th scope="col">Active</th>
                    <th scope="col">Edit</th>
                    <th scope="col">Delete</th>

                </tr>
                </thead>
                <tbody>
                {% for job in jobs %}
                    <tr>
                        <td title="{{ job.title }}">{{ job.title }}</td>
                        <td title="{{ job.created }}">{{ job.created }}</td>
                        <td>
                            {% if job.is_active %}
                                <i class="fas fa-check activee"></i>
                            {% else %}
                                <i class="fas fa-times notactive"></i>
                            {% endif %}
                        </td>
                        <td>
                            <a href="{% url 'Update Cron' job.id %}" class="btn edit_btn">Edit</a>
                        </td>
                        <td>
                            <button class="btn edit_btn" data-toggle="modal"
                                    data-target="#deleteModal_{{ job.id }}">
                                Delete
                            </button>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>



{% endblock %}